std::hash< __gnu_cxx::throw_value_limit > Struct Template Reference
Inheritance diagram for std::hash< __gnu_cxx::throw_value_limit >:
[legend]

## Public Types

typedef __gnu_cxx::throw_value_limit | argument_type
typedef size_t | result_type

## Public Member Functions

size_t | operator() (const __gnu_cxx::throw_value_limit &__val) const

## Detailed Description

### template<>
struct std::hash< __gnu_cxx::throw_value_limit >

Explicit specialization of std::hash for __gnu_cxx::throw_value_limit.

Definition at line 788 of file throw_allocator.h.

## Member Typedef Documentation

typedef __gnu_cxx::throw_value_limit std::unary_function< __gnu_cxx::throw_value_limit , size_t >::argument_type

inherited

`argument_type` is the type of the argument

Definition at line 104 of file stl_function.h.

typedef size_t std::unary_function< __gnu_cxx::throw_value_limit , size_t >::result_type

inherited

`result_type` is the return type

Definition at line 107 of file stl_function.h.

The documentation for this struct was generated from the following file:

- throw_allocator.h